FOREIGN_GIPSY_READ(3)

FUNCTION
foreign_gipsy_read - Read a GIPSY file set.

SYNOPSIS
#include <karma_foreign.h>

multi_array * foreign_gipsy_read

(CONST char *filename, flag sanitise, ...)

DESCRIPTION
Read a GIPSY file set.

filename
    The name of any file in the GIPSY file set.

sanitise
    If TRUE, GIPSY axes with length 1 are ignored. This is highly recommended.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with FA_GIPSY_READ_END. See <-foreign_ATT_GIPSY_READ-> for a list of defined attributes.

RETURN VALUE
A multi_array descriptor on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/